Subject: Re: [TR] TR6 Convertible Top;

From: Dennis Culligan <[email-masked]>
Date: Tue, 31 Dec 2013 13:59:31 -0500

Irv Korey <[email-masked]> wrote:

<snip>

>IMO there is a design flaw. The "pillow" that acts as a seal between the
trailing edge of the door glass and the top is >located about 1/2" too far
rearward. As a result, the door glass barely contacts the sealing surface
and sealing in that >area is poor,

Irv 

   I have a Robbins top on my TR6 and had it installed a few years ago by a
Preferred Robbins installer.  The fit is perfect. There is an overlap
between the window and the pillow of at least = from top to bottom and
the car is as weatherproof as a British roadster can be expected to be. Note
that the installation cost me more than the sale price of the Robbins top
but it appears that it was worth it.

Dennis Culligan, Highland, NY / 1976 TR6 CF57948U

** [email-masked] **

Archive: http://www.team.net/archive